import request from '@/utils/request'
export default class siteInspectionService {
    // 保存
    save(inputForm) {
        return request.post(
            '/csjcqk/siteInspection/save',
            inputForm
        )
    }
    keepOnRecord(ids) {
       
        return request.post(
            '/csjcqk/siteInspection/keepOnRecord',{},{ids: ids}
        )
    }
    keepOnRecordNO(ids) {
        return request.post(
            '/csjcqk/siteInspection/keepOnRecordNO',{},{ids: ids}
        )
    }
    queryById(id) {
        return request.get(
            '/csjcqk/siteInspection/queryById', { id: id }
        )
    };
    list(params) {
        return request.get(
            `/csjcqk/siteInspection/list`,
            params
        )
    }
    delete(ids) {
        return request.delete(
            '/csjcqk/siteInspection/delete', { ids: ids }
        )
    }
}
