import request from "@/utils/request";
export default class TabletServer {
    // 获取牌位列表
    list(params) {
        return request.get(
            `/placememorialtablets/placeMemorialTablets/list`,
            params
        )
    };
    // 提交
    save(inputForm) {
        return request.post(
            `/placememorialtablets/placeMemorialTablets/save`,
            inputForm
        )
    };
    // 提交
    queryById(id) {
        return request.get(
            `/placememorialtablets/placeMemorialTablets/queryById`, { id: id }
        )
    };
    tabletDelete(id) {
        return request.delete(
            `/placememorialtablets/placeMemorialTablets/delete`, { ids: id }
        )
    }
}