import { createStore } from "vuex";
const TOKEN_Key = "MZ_USER";
const PCTOKEN_Key = "MZ_TOKEN";
const COLOR_Key = "MZ_COLOR";
const store = createStore({
    state: {
        user: window.localStorage.getItem(TOKEN_Key),
        pctoken: window.localStorage.getItem(PCTOKEN_Key),
        selectcolor: window.localStorage.getItem(COLOR_Key)
    },
    mutations: {
        setUser(state, data) {
            state.user = data;
            xm.setStorage({ key: TOKEN_Key, value: state.user }).then(() => {

            })
            window.localStorage.setItem(TOKEN_Key, state.user);
        },
        setPcToken(state, data) {
            state.pctoken = data;
            xm.setStorage({ key: PCTOKEN_Key, value: state.pctoken }).then(() => {
            })
            window.localStorage.setItem(PCTOKEN_Key, state.pctoken);
        },
        setSelectColor(state, data) {
            state.selectcolor = data;
            xm.setStorage({ key: COLOR_Key, value: state.selectcolor }).then(() => {

            })
            window.localStorage.setItem(COLOR_Key, state.selectcolor);
        },
    },
});
export default store;